
<!-- README.md is generated from README.Rmd. Please edit that file, then:
rmarkdown::render("README.Rmd")
-->

# physiology

[![CRAN
status](https://www.r-pkg.org/badges/version/physiology)](https://cran.r-project.org/package=physiology)
[![Project Status: Active – The project has reached a stable, usable
state and is being actively
developed.](https://www.repostatus.org/badges/latest/active.svg)](https://www.repostatus.org/#active)
[![Travis build
Status](https://travis-ci.org/jackwasey/physiology.svg?branch=master)](https://travis-ci.org/jackwasey/physiology)
[![AppVeyor build
status](https://ci.appveyor.com/api/projects/status/github/jackwasey/physiology?branch=master&svg=true)](https://ci.appveyor.com/project/jackwasey/physiology)
[![Coverage
status](https://codecov.io/gh/jackwasey/physiology/branch/master/graph/badge.svg)](https://codecov.io/github/jackwasey/physiology?branch=master)
[![lifecycle](https://img.shields.io/badge/lifecycle-maturing-blue.svg)](https://www.tidyverse.org/lifecycle/#maturing)

## Calculate physiologic characteristics of awake and anesthetized adults, children and infants

A variety of formulae are provided for estimation of physiologic
characteristics of infants, children, and adults. Calculations include:
body surface area, ideal weight, airway dead-space, the alveolar gas
equation, and GFR. Each formula is referenced to the original
publication. Future functions will cover more material with a focus on
anaesthesia, critical care and peri-operative medicine.

Functions are provided for estimation of a range of physiologic
characteristics of infant, child and adult humans.

  - Height, weight and fluid compartments.
  - Henderson-Hasslebalch
  - Alveolar gas equation
  - Airway dead-space

Each formula is referenced to the original publication. Warnings can be
given for estimation based on input data outside of normal ranges.
Future functions will cover more material with a focus on anaesthesia,
critical care and peri-operative medicine.

Contributions welcome.
